Subject: Re: bug#64756: some frequent test failures

From: Karl Berry <[email-masked]>
Date: Thu, 30 Nov 2023 15:40:56 -0700

Hi Bruno,

    This is with Automake 1.16.5 and Autoconf 2.71 on an ext4 file system.
    [...]
    When I add an 'rm -rf autom4te.cache' command before 'automake -a -c',
    the failures disappear.

FWIW, in the Automake development sources, there is now a test to see if
autom4te is the new version (thanks to Bogdan and Jacob). Thus it should
work with both old and new autom4te. I don't know when there will be a
new Automake release. Hopefully sooner rather than later ... --best, karl.

2023-11-01  Bogdan  <[email-masked]>

	m4: fall back to non-fractional timestamps with older autom4te.

	* m4/sanity.m4 (_AM_FILESYSTEM_TIMESTAMP_RESOLUTION): if
	HiRes is not present in Autom4te/FileUtils.pm, do not consider
	fractional sleeps.